Public Class SchulungFrm

    Private Sub cmdCreate_Click( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
            Handles cmdCreate.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'Create Methode ausfhren
            oMySldWorks.SolidWorksInstanzCreate()
            'Version in einer MessageBox anzeigen
            oMySldWorks.VersionAnzeigen()
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdGet_Click( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) _
            Handles cmdGet.Click
        Try
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'Get Methode ausfhren
            oMySldWorks.SolidWorksInstanz()
            'SolidWorks Instanz prfen
            If oMySldWorks.MySldWorks IsNot Nothing Then
                'Makroverzeichnis ermitteln und ndern
                Me.MakroVerzeichnis(oMySldWorks)
                'Version in einer MessageBox anzeigen
                oMySldWorks.VersionAnzeigen()
            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub MakroVerzeichnis(ByVal oMySldWorks As MySldWorksCls)
        Try
            'Aktuelles Makroverzeichnis
            MsgBox("Aktuelles Makroverzeichnis: " & _
                vbNewLine & _
                oMySldWorks.MySldWorks.GetUserPreferenceStringValue( _
                SwConst.swUserPreferenceStringValue_e.swFileLocationsMacros))
            'Makroverzeichnis in den eigenen Desktop ndern
            oMySldWorks.MySldWorks.SetUserPreferenceStringValue( _
                SwConst.swUserPreferenceStringValue_e.swFileLocationsMacros, _
                System.Environment.GetFolderPath( _
                Environment.SpecialFolder.DesktopDirectory))
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
                ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

End Class
