Public Class SldWorksReferenzenFrm

    Private Sub cmdErmitteln_Click( _
           ByVal sender As System.Object, _
           ByVal e As System.EventArgs) _
           Handles cmdErmitteln.Click
        Try
            Dim scReferenzen As _
                System.Collections.Generic.List(Of String)
            Dim sSchraubstockPfad As String
            'Baugruppe festlegen
            sSchraubstockPfad = _
                "C:\Baugruppen\Schraubstock" & _
                "\Schraubstock.sldasm"
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Referenzen des Dokuments speichern
            scReferenzen = _
                oMySldWorks.ReferenzenEinesDokumentsErmitteln( _
                sSchraubstockPfad)
            'Rckgabe prfen
            If Not scReferenzen Is Nothing Then
                'Listbox befllen
                Me.lstReferenzen.Items.Clear()
                For Each s As String In scReferenzen
                    Me.lstReferenzen.Items.Add(s)
                Next
            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdSchliessen_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdSchliessen.Click
        Try
            Me.Close()
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

    Private Sub cmdAnpassen_Click( _
            ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdAnpassen.Click
        Try
            Dim scReferenzen As _
                System.Collections.Generic.List(Of String)
            Dim sSchraubstockPfad As String
            'Baugruppe festlegen
            sSchraubstockPfad = _
                "C:\Baugruppen\Schraubstock" & _
                "\Schraubstock.sldasm"
            'Eigene SolidWorks Klasse deklarieren
            Dim oMySldWorks As MySldWorksCls
            'Eigene SolidWorks Klasse initialisieren
            oMySldWorks = New MySldWorksCls
            'SolidWorks initialisieren
            oMySldWorks.SolidWorksInstanz()
            'Referenzen des Dokuments speichern
            scReferenzen = _
                oMySldWorks.ReferenzenEinesDokumentsErmitteln( _
                sSchraubstockPfad)
            'Rckgabe prfen
            If Not scReferenzen Is Nothing Then
                'Referenzen auswerten
                For Each sReferenz As String In scReferenzen
                    If System.IO.Path.GetDirectoryName(sReferenz) = _
                            "C:\Beispiel\Schraubstock" Then
                        oMySldWorks.MySldWorks.ReplaceReferencedDocument( _
                            sSchraubstockPfad, sReferenz, _
                            "C:\Baugruppe\Schraubstock\" & _
                            System.IO.Path.GetFileName(sReferenz))
                    End If
                Next

            End If
            'Eigene SolidWorks Klasse leeren
            oMySldWorks = Nothing
        Catch ex As Exception
            Debug.Assert(False)
            MsgBox("Fehler: Wo: " & _
             ex.StackTrace & " Was: " & ex.Message)
        End Try
    End Sub

End Class